unit mmc_h;

interface

uses	Windows, Messages, SysUtils, Classes;



(*
///////////////////////////////////////////////////////////////////////////////
//
//	File Name	:	mmc.h
//
//	Author		:	Autonics R@D Center YSD
//                  www.autonics.co.kr
//
///////////////////////////////////////////////////////////////////////////////
*)
//if not defined(__MMC_H__) then 
const __MMC_H__;


//ifdef __cplusplus
 'C' begin 
//endif

const MAX_CARD	=16;


const WR0	=		$00;
const WR1	=		$02;
const WR2	=		$04;
const WR3	=		$06;
const WR4	=		$08;
const WR5	=		$0a;
const WR6	=		$0c;
const WR7	=		$0e;

const RR0	=		$00;
const RR1	=		$02;
const RR2	=		$04;
const RR3	=		$06;
const RR4	=		$08;
const RR5	=		$0a;
const RR6	=		$0c;
const RR7	=		$0e;

//ifdef __MC8041P__
	const RID	=		$10;	// card id address (for MC8041P)
//endif

//ifdef __PMC2ISA__
	const RDD	=		$10;	// user data address (for PMC-2ISA)
//endif


THandle OpenCard_N( integer no, procedure (WINAPI *isr)(), integer base_addr, integer size, integer irq);
BOOL CloseCard_N( integer no );
BOOL CloseCard_all();
WORD InW_N( integer no, WORD iocc );
procedure OutW_N( integer no, WORD iocc, integer data );
integer _hookIRQ( integer no, procedure (WINAPI *isr)());
PChar  ValidString();
integer GetAxes();


//ifdef __cplusplus
 end;
//endif

//endif (* not defined(__MMC_H__) *)

implementation

end.

